/**
 * Load the AUX icons sprite sheet into the DOM.
 * This is a local script because it's not available on the AUX CDN.
 * For the front-end, it is loaded in the footer by inc/WP_AUX/Services/HeadService.php to avoid blocking the main thread.
 * For Gutenberg, it is loaded using the enqueue_block_editor_assets action in functions.php.
 * @since 1.0.0
 */
let icons = new XMLHttpRequest();
icons.open("GET", "https://aux.tamu.edu/icons/aux-sprite.svg", true);
icons.send();
icons.onload = function (e) {
    var div = document.createElement("div");
    div.innerHTML = icons.responseText;
    document.body.insertBefore(div, document.body.childNodes[0]);
}
